﻿#language: ru

@IIoT

Функционал: 05_IIoT.01.016 Настройка ключей аналитики

Сценарий: 05_IIoT.01.016 Настройка ключа аналитики Расходомер сливок без пересчета из литров
	Дано Я подключаюсь под "Администратор"
	И В командном интерфейсе я выбираю 'Промышленный интернет вещей' 'Ключи аналитики данных'
	Тогда открылось окно 'Ключи аналитики данных'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Ключ аналитики данных (создание)'
	И из выпадающего списка "Вариант использования" я выбираю точное значение 'По запросу'
	И из выпадающего списка "Тип данных" я выбираю точное значение 'Производство'
	И из выпадающего списка "Тип значения данных" я выбираю точное значение 'Число'
	И из выпадающего списка "Вид пересчета" я выбираю точное значение 'Не пересчитывать'
	И из выпадающего списка "Тип подключения" я выбираю точное значение 'SCADA'
	И я перехожу к закладке "Аналитика"
	И я нажимаю кнопку выбора у поля "Датчик"
	Тогда открылось окно 'Датчики'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'       |
		| 'Вход в танк сливок' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Ключ аналитики данных (создание) *'
	И в поле 'Наименование' я ввожу текст 'Расходомер танк сливок'
	И я нажимаю кнопку выбора у поля "Маршрут"
	Тогда открылось окно 'Маршруты'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'            |
		| 'Сепаратор - Танк сливок' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Ключ аналитики данных (создание) *'
	И я нажимаю кнопку выбора у поля "Операция"
	Тогда открылось окно 'Операции'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Сепарация'    |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Ключ аналитики данных (создание) *'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Ключ аналитики данных (создание) *' в течение 20 секунд
	Тогда открылось окно 'Ключи аналитики данных'
	И Я закрываю окно 'Ключи аналитики данных'

Сценарий: 05_IIoT.01.016 Настройка ключа аналитики Расходомер сливок с пересчетом из литров
	И В командном интерфейсе я выбираю 'Промышленный интернет вещей' 'Ключи аналитики данных'
	Тогда открылось окно 'Ключи аналитики данных'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Ключ аналитики данных (создание)'
	И из выпадающего списка "Вариант использования" я выбираю точное значение 'По запросу'
	И из выпадающего списка "Тип данных" я выбираю точное значение 'Производство'
	И из выпадающего списка "Тип значения данных" я выбираю точное значение 'Число'
	И из выпадающего списка "Вид пересчета" я выбираю точное значение 'Литры в килограммы'
	И я нажимаю кнопку выбора у поля "Показатель плотности"
	Тогда открылось окно 'Показатели анализов номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Плотность'    |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Ключ аналитики данных (создание) *'
	И из выпадающего списка "Тип подключения" я выбираю точное значение 'SCADA'
	И я перехожу к закладке "Аналитика"
	И я нажимаю кнопку выбора у поля "Датчик"
	Тогда открылось окно 'Датчики'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'       |
		| 'Вход в танк сливок' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Ключ аналитики данных (создание) *'
	И в поле 'Наименование' я ввожу текст 'Расходомер танк сливок литры'
	И я нажимаю кнопку выбора у поля "Маршрут"
	Тогда открылось окно 'Маршруты'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'            |
		| 'Сепаратор - Танк сливок' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Ключ аналитики данных (создание) *'
	И я нажимаю кнопку выбора у поля "Операция"
	Тогда открылось окно 'Операции'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Сепарация'    |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Ключ аналитики данных (создание) *'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Ключ аналитики данных (создание) *' в течение 20 секунд
	Тогда открылось окно 'Ключи аналитики данных'
	И Я закрываю окно 'Ключи аналитики данных'

Сценарий: 05_IIoT.01.016 Настройка ключа аналитики Расходомер обрата без пересчета
	И В командном интерфейсе я выбираю 'Промышленный интернет вещей' 'Ключи аналитики данных'
	Тогда открылось окно 'Ключи аналитики данных'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Ключ аналитики данных (создание)'
	И в поле 'Наименование' я ввожу текст 'Расходомер танк обрата'
	И из выпадающего списка "Вариант использования" я выбираю точное значение 'По запросу'
	И из выпадающего списка "Тип данных" я выбираю точное значение 'Производство'
	И из выпадающего списка "Тип значения данных" я выбираю точное значение 'Число'
	И из выпадающего списка "Вид пересчета" я выбираю точное значение 'Не пересчитывать'
	И из выпадающего списка "Тип подключения" я выбираю точное значение 'SCADA'
	И я перехожу к закладке "Аналитика"
	И я нажимаю кнопку выбора у поля "Датчик"
	Тогда открылось окно 'Датчики'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'       |
		| 'Вход в танк обрата' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Ключ аналитики данных (создание) *'
	И я нажимаю кнопку выбора у поля "Маршрут"
	Тогда открылось окно 'Маршруты'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'            |
		| 'Сепаратор - Танк обрата' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Ключ аналитики данных (создание) *'
	И я нажимаю кнопку выбора у поля "Операция"
	Тогда открылось окно 'Операции'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Сепарация'    |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Ключ аналитики данных (создание) *'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Ключ аналитики данных (создание) *' в течение 20 секунд
	Тогда открылось окно 'Ключи аналитики данных'
	И Я закрываю окно 'Ключи аналитики данных'

Сценарий: 05_IIoT.01.016 Настройка ключа аналитики Влажность в камере 1
	И В командном интерфейсе я выбираю 'Промышленный интернет вещей' 'Ключи аналитики данных'
	Тогда открылось окно 'Ключи аналитики данных'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Ключ аналитики данных (создание)'
	И в поле 'Наименование' я ввожу текст 'Влажность в камере 1'
	И из выпадающего списка "Вариант использования" я выбираю точное значение 'По запросу'
	И из выпадающего списка "Тип данных" я выбираю точное значение 'Параметры производственной среды'
	И из выпадающего списка "Тип значения данных" я выбираю точное значение 'Число'
	И из выпадающего списка "Тип подключения" я выбираю точное значение 'SCADA'
	И я перехожу к закладке "Аналитика"
	И я нажимаю кнопку выбора у поля "Датчик"
	Тогда открылось окно 'Датчики'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'        |
		| 'Камера созревания 1' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Ключ аналитики данных (создание) *'
	И я нажимаю кнопку выбора у поля "Параметр среды"
	Тогда открылось окно 'Параметры среды'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Влажность, %' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Ключ аналитики данных (создание) *'
	И я нажимаю кнопку выбора у поля "Место хранения"
	Тогда открылось окно 'Места хранения'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'       |
		| 'Камера созревания1' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Ключ аналитики данных (создание) *'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Ключ аналитики данных (создание) *' в течение 20 секунд
	Тогда открылось окно 'Ключи аналитики данных'
	И Я закрываю окно 'Ключи аналитики данных'

Сценарий: 05_IIoT.01.016 Настройка ключа аналитики Влажность в камере 2
	И В командном интерфейсе я выбираю 'Промышленный интернет вещей' 'Ключи аналитики данных'
	Тогда открылось окно 'Ключи аналитики данных'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Ключ аналитики данных (создание)'
	И в поле 'Наименование' я ввожу текст 'Влажность в камере 2'
	И из выпадающего списка "Вариант использования" я выбираю точное значение 'По запросу'
	И я нажимаю кнопку выбора у поля "Тип данных"
	И из выпадающего списка "Вариант использования" я выбираю точное значение 'Регламентное задание'
	И из выпадающего списка "Тип данных" я выбираю точное значение 'Показатели технологического процесса'
	И из выпадающего списка "Тип значения данных" я выбираю точное значение 'Число'
	И из выпадающего списка "Тип подключения" я выбираю точное значение 'SCADA'
	И из выпадающего списка "Способ получения значения" я выбираю точное значение 'Последнее'
	И из выпадающего списка "Тип данных" я выбираю точное значение 'Параметры производственной среды'
	И я перехожу к закладке "Аналитика"
	И я нажимаю кнопку выбора у поля "Датчик"
	Тогда открылось окно 'Датчики'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'        |
		| 'Камера созревания 2' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Ключ аналитики данных (создание) *'
	И я нажимаю кнопку выбора у поля "Параметр среды"
	Тогда открылось окно 'Параметры среды'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Влажность, %' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Ключ аналитики данных (создание) *'
	И я нажимаю кнопку выбора у поля "Место хранения"
	Тогда открылось окно 'Места хранения'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'        |
		| 'Камера созревания 2' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Ключ аналитики данных (создание) *'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Ключ аналитики данных (создание) *' в течение 20 секунд
	Тогда открылось окно 'Ключи аналитики данных'
	И Я закрываю окно 'Ключи аналитики данных'

Сценарий: 05_IIoT.01.016 Настройка ключа аналитики Время ферментации
	И В командном интерфейсе я выбираю 'Промышленный интернет вещей' 'Ключи аналитики данных'
	Тогда открылось окно 'Ключи аналитики данных'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Ключ аналитики данных (создание)'
	И из выпадающего списка "Вариант использования" я выбираю точное значение 'По запросу'
	И из выпадающего списка "Тип данных" я выбираю точное значение 'Показатели технологического процесса'
	И из выпадающего списка "Тип значения данных" я выбираю точное значение 'Число'
	И из выпадающего списка "Тип подключения" я выбираю точное значение 'SCADA'
	И из выпадающего списка "Способ получения значения" я выбираю точное значение 'Последнее'
	И я перехожу к закладке "Аналитика"
	И я нажимаю кнопку выбора у поля "Датчик"
	Тогда открылось окно 'Датчики'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'       |
		| 'Сыроизготовитель 1' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Ключ аналитики данных (создание) *'
	И я нажимаю кнопку выбора у поля "Показатель процесса"
	Тогда открылось окно 'Показатели процесса'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'        |
		| 'Время ферментации'   |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Ключ аналитики данных (создание) *'
	И в поле 'Наименование' я ввожу текст 'Показатель сепарации'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Ключ аналитики данных (создание) *' в течение 20 секунд
	Тогда открылось окно 'Ключи аналитики данных'
	И Я закрываю окно 'Ключи аналитики данных'

Сценарий: 05_IIoT.01.016 Настройка ключа аналитики Время сепарации с средним расчетом
	И В командном интерфейсе я выбираю 'Промышленный интернет вещей' 'Ключи аналитики данных'
	Тогда открылось окно 'Ключи аналитики данных'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Ключ аналитики данных (создание)'
	И в поле 'Наименование' я ввожу текст 'Время сепарации'
	И из выпадающего списка "Вариант использования" я выбираю точное значение 'По запросу'
	И из выпадающего списка "Тип данных" я выбираю точное значение 'Показатели технологического процесса'
	И из выпадающего списка "Тип значения данных" я выбираю точное значение 'Число'
	И из выпадающего списка "Тип подключения" я выбираю точное значение 'SCADA'
	И из выпадающего списка "Способ получения значения" я выбираю точное значение 'Среднее за время процесса'
	И я перехожу к закладке "Аналитика"
	И я нажимаю кнопку выбора у поля "Датчик"
	Тогда открылось окно 'Датчики'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'       |
		| 'Сыроизготовитель 2' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Ключ аналитики данных (создание) *'
	И я нажимаю кнопку выбора у поля "Показатель процесса"
	Тогда открылось окно 'Показатели процесса'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Время варки'  |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Ключ аналитики данных (создание) *'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Ключ аналитики данных (создание) *' в течение 20 секунд
	Тогда открылось окно 'Ключи аналитики данных'
	И Я закрываю окно 'Ключи аналитики данных'

Сценарий: 05_IIoT.01.016 Настройка ключа аналитики передача смеси
	И В командном интерфейсе я выбираю 'Промышленный интернет вещей' 'Ключи аналитики данных'
	Тогда открылось окно 'Ключи аналитики данных'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Ключ аналитики данных (создание)'
	И в поле 'Наименование' я ввожу текст 'Вход в танк смеси'
	И из выпадающего списка "Вариант использования" я выбираю точное значение 'По запросу'
	И из выпадающего списка "Тип данных" я выбираю точное значение 'Производство'
	И из выпадающего списка "Тип значения данных" я выбираю точное значение 'Число'
	И из выпадающего списка "Вид пересчета" я выбираю точное значение 'Не пересчитывать'
	И из выпадающего списка "Тип подключения" я выбираю точное значение 'SCADA'
	И я перехожу к закладке "Аналитика"
	И я нажимаю кнопку выбора у поля "Датчик"
	Тогда открылось окно 'Датчики'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'                      |
		| 'Вход в танк нормализованной смеси' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Ключ аналитики данных (создание) *'
	И я нажимаю кнопку выбора у поля "Маршрут"
	Тогда открылось окно 'Маршруты'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'        |
		| 'Танк 1 - Танк смеси' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Ключ аналитики данных (создание) *'
	И я нажимаю кнопку выбора у поля "Операция"
	Тогда открылось окно 'Операции'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Подача смеси' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Ключ аналитики данных (создание) *'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Ключ аналитики данных (создание) *' в течение 20 секунд
	Тогда открылось окно 'Ключи аналитики данных'
	И Я закрываю окно 'Ключи аналитики данных'